Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.textfileinput
Class TextFileInputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.textfileinput.TextFileInputData

All Implemented Interfaces:
  StepDataInterface

    public class TextFileInputData

extends BaseStepData
implements StepDataInterface

Since:
  22-jan-2005
Author:
  Matt

Field Summary
`org.pentaho.di.core.row.RowMetaInterface` | `convertRowMeta`
`Object[]` | `currentPassThruFieldsRow`
`FileErrorHandler` | `dataErrorLineHandler`
`boolean` | `doneReading`
`boolean` | `doneWithHeader`
`org.apache.commons.vfs.FileObject` | `file`
`int` | `fileFormatType`
`String` | `filename`
`int` | `filenr`
`FilePlayList` | `filePlayList`
`org.pentaho.di.core.fileinput.FileInputList` | `files`
`int` | `fileType`
`TextFileFilterProcessor` | `filterProcessor`
`int` | `footerLinesRead`
`InputStream` | `fr`
`GZIPInputStream` | `gzi`
`int` | `headerLinesRead`
`boolean` | `isLastFile`
`InputStreamReader` | `isr`
`List<TextFileLine>` | `lineBuffer`
`int` | `lineInFile`
`StringBuilder` | `lineStringBuilder`
`int` | `nr_repeats`
`int` | `nrLinesOnPage`
`int` | `nrPassThruFields`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`int` | `pageLinesRead`
`HashMap<org.apache.commons.vfs.FileObject,Object[]>` | `passThruFields`
`Object[]` | `previous_row`
`org.pentaho.di.core.RowSet` | `rowSet`
`ZipInputStream` | `zi`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`TextFileInputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### lineBuffer

    public List<TextFileLine> lineBuffer

### previous_row

    public Object[] previous_row

### nr_repeats

    public int nr_repeats

### nrLinesOnPage

    public int nrLinesOnPage

### files

    public org.pentaho.di.core.fileinput.FileInputList files

### passThruFields

    public HashMap<org.apache.commons.vfs.FileObject,Object[]> passThruFields

### currentPassThruFieldsRow

    public Object[] currentPassThruFieldsRow

### nrPassThruFields

    public int nrPassThruFields

### isLastFile

    public boolean isLastFile

### filename

    public String filename

### lineInFile

    public int lineInFile

### file

    public org.apache.commons.vfs.FileObject file

### filenr

    public int filenr

### fr

    public InputStream fr

### zi

    public ZipInputStream zi

### gzi

    public GZIPInputStream gzi

### isr

    public InputStreamReader isr

### doneReading

    public boolean doneReading

### headerLinesRead

    public int headerLinesRead

### footerLinesRead

    public int footerLinesRead

### pageLinesRead

    public int pageLinesRead

### doneWithHeader

    public boolean doneWithHeader

### dataErrorLineHandler

    public FileErrorHandler dataErrorLineHandler

### filePlayList

    public FilePlayList filePlayList

### filterProcessor

    public TextFileFilterProcessor filterProcessor

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### lineStringBuilder

    public StringBuilder lineStringBuilder

### fileFormatType

    public int fileFormatType

### fileType

    public int fileType

### convertRowMeta

    public org.pentaho.di.core.row.RowMetaInterface convertRowMeta

### rowSet

    public org.pentaho.di.core.RowSet rowSet

Constructor Detail

### TextFileInputData

    public TextFileInputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD